> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get status of an asynchronous task

GET https://api.getpostman.com/apis/{apiId}/tasks/{taskId}

Gets the status of an asynchronous task.

Reference: https://learning.postman.com/api-docs/api-reference/api/get-status-of-an-async-api-task

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /apis/{apiId}/tasks/{taskId}:
    get:
      operationId: getStatusOfAnAsyncApiTask
      summary: Get status of an asynchronous task
      description: Gets the status of an asynchronous task.
      tags:
        - api
      parameters:
        - name: apiId
          in: path
          description: The API's ID.
          required: true
          schema:
            $ref: '#/components/schemas/apiId'
        - name: taskId
          in: path
          description: The task's ID.
          required: true
          schema:
            $ref: '#/components/schemas/apiTaskId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          description: >-
            The `application/vnd.api.v10+json` request header required to use
            the endpoint.
          required: true
          schema:
            $ref: '#/components/schemas/v10Accept'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getStatusOfAnAsyncApiTask'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetStatusOfAnAsyncApiTaskRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetStatusOfAnAsyncApiTaskRequestForbiddenError
        '404':
          description: Task Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetStatusOfAnAsyncApiTaskRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    apiId:
      type: string
      title: apiId
    apiTaskId:
      type: string
      title: apiTaskId
    v10Accept:
      type: string
      enum:
        - application/vnd.api.v10+json
      title: v10Accept
    GetStatusOfAnAsyncApiTaskMetaModel:
      type: string
      enum:
        - collection
        - api-version
      description: The model for which the task is performing the operation.
      title: GetStatusOfAnAsyncApiTaskMetaModel
    GetStatusOfAnAsyncApiTaskMetaAction:
      type: string
      enum:
        - update
        - create
      description: The task's action.
      title: GetStatusOfAnAsyncApiTaskMetaAction
    GetStatusOfAnAsyncApiTaskMeta:
      type: object
      properties:
        url:
          type: string
          format: url
          description: The endpoint URL that created the task.
        model:
          $ref: '#/components/schemas/GetStatusOfAnAsyncApiTaskMetaModel'
          description: The model for which the task is performing the operation.
        action:
          $ref: '#/components/schemas/GetStatusOfAnAsyncApiTaskMetaAction'
          description: The task's action.
      description: The response's non-standard meta information.
      title: GetStatusOfAnAsyncApiTaskMeta
    GetStatusOfAnAsyncApiTaskStatus:
      type: string
      enum:
        - pending
        - failed
        - completed
      description: The task's current status.
      title: GetStatusOfAnAsyncApiTaskStatus
    GetStatusOfAnAsyncApiTaskDetailsOneOf0ResourcesItems:
      type: object
      properties:
        id:
          type: string
          description: The ID of the assigned resource.
        url:
          type: string
          description: The task's assigned resource URL.
      title: GetStatusOfAnAsyncApiTaskDetailsOneOf0ResourcesItems
    GetStatusOfAnAsyncApiTaskDetails0:
      type: object
      properties:
        resources:
          type: array
          items:
            $ref: >-
              #/components/schemas/GetStatusOfAnAsyncApiTaskDetailsOneOf0ResourcesItems
      description: Information about the task's resources.
      title: GetStatusOfAnAsyncApiTaskDetails0
    GetStatusOfAnAsyncApiTaskDetailsOneOf1Error:
      type: object
      properties:
        message:
          type: string
          description: The task's error message.
      title: GetStatusOfAnAsyncApiTaskDetailsOneOf1Error
    GetStatusOfAnAsyncApiTaskDetails1:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/GetStatusOfAnAsyncApiTaskDetailsOneOf1Error'
      description: Information about the error that occurred during the task's processing.
      title: GetStatusOfAnAsyncApiTaskDetails1
    GetStatusOfAnAsyncApiTaskDetails:
      oneOf:
        - $ref: '#/components/schemas/GetStatusOfAnAsyncApiTaskDetails0'
        - $ref: '#/components/schemas/GetStatusOfAnAsyncApiTaskDetails1'
      title: GetStatusOfAnAsyncApiTaskDetails
    getStatusOfAnAsyncApiTask:
      type: object
      properties:
        id:
          type: string
          description: The task's ID.
        meta:
          $ref: '#/components/schemas/GetStatusOfAnAsyncApiTaskMeta'
          description: The response's non-standard meta information.
        status:
          $ref: '#/components/schemas/GetStatusOfAnAsyncApiTaskStatus'
          description: The task's current status.
        details:
          $ref: '#/components/schemas/GetStatusOfAnAsyncApiTaskDetails'
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the task was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the task was last updated.
      title: getStatusOfAnAsyncApiTask
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    apiErrorNameMessage:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      title: apiErrorNameMessage
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetStatusOfAnAsyncApiTaskRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/apiErrorNameMessage'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetStatusOfAnAsyncApiTaskRequestBadRequestError
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    commonErrorTypeTitleMessageDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        message:
          type: string
          description: The error message.
        detail:
          type: object
          additionalProperties:
            description: Any type
          description: Information about the error.
      title: commonErrorTypeTitleMessageDetail
    GetStatusOfAnAsyncApiTaskRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorTypeTitleMessageDetail'
      title: GetStatusOfAnAsyncApiTaskRequestForbiddenError
    GetStatusOfAnAsyncApiTaskRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetStatusOfAnAsyncApiTaskRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "id": "66ae9950-0869-4e65-96b0-1e0e47e771af",
  "meta": {
    "url": "https://api.getpostman.com/apis/5360b75f-447e-467c-9299-12fd6c92450d/collections/e726de58-f1b3-4edd-a8a7-2579dc799d39/sync",
    "model": "collection",
    "action": "update"
  },
  "status": "failed",
  "details": {
    "error": {
      "message": "The API contains invalid schema"
    }
  },
  "createdAt": "2019-02-12 19:34:49",
  "updatedAt": "2023-02-12 19:34:49"
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/tasks/90ca9f5a-c4c4-21ed-afa1-0242ac120002"

headers = {
    "Accept": "application/vnd.api.v10+json",
    "x-api-key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/tasks/90ca9f5a-c4c4-21ed-afa1-0242ac120002';
const options = {
  method: 'GET',
  headers: {Accept: 'application/vnd.api.v10+json', 'x-api-key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/tasks/90ca9f5a-c4c4-21ed-afa1-0242ac120002"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/vnd.api.v10+json")
	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/tasks/90ca9f5a-c4c4-21ed-afa1-0242ac120002")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/vnd.api.v10+json'
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/tasks/90ca9f5a-c4c4-21ed-afa1-0242ac120002")
  .header("Accept", "application/vnd.api.v10+json")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/tasks/90ca9f5a-c4c4-21ed-afa1-0242ac120002', [
  'headers' => [
    'Accept' => 'application/vnd.api.v10+json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/tasks/90ca9f5a-c4c4-21ed-afa1-0242ac120002");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/vnd.api.v10+json");
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "Accept": "application/vnd.api.v10+json",
  "x-api-key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/tasks/90ca9f5a-c4c4-21ed-afa1-0242ac120002")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```